Obter cronograma do empréstimo ativo
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/schedule \
--header 'Authorization: Bearer <token>'import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/schedule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"dueDate": "<string>",
"feesAmount": "<string>",
"installmentNumber": 123,
"interestAmount": "<string>",
"penaltiesAmount": "<string>",
"principalAmount": "<string>",
"status": "<string>",
"totalAmount": "<string>"
}
],
"jurisdictionCode": "<string>",
"profileVersion": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Obter cronograma do empréstimo ativo
Retorna as entradas ordenadas do cronograma de parcelas do empréstimo ativo. Um UUID malformado resulta em 422, distinto de 404.
GET
/
api
/
v1
/
loan-accounts
/
{id}
/
schedule
Obter cronograma do empréstimo ativo
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de caminho
Loan account identifier (UUID).
Exemplo:
"550e8400-e29b-41d4-a716-446655440000"
Resposta
OK
Installment schedule entries ordered by installment number.
Show child attributes
Show child attributes
ISO 3166-1 jurisdiction code the account operates under (e.g. BR).
Exemplo:
"BR"
Product profile version applied to this account.
Exemplo:
"1.0.0"
Esta página foi útil?
⌘I

